// const csv = require('csvtojson')
const csv2json = require('csv2json')
const {readFile} = require('fs/promises')

const filename = 'FEC_downloads/committee_summary_2014.csv'

const csv = `committee_id,committee_name,report_year,report_type,image_number,line_number,transaction_id,file_number,committee_name,entity_type,entity_type_desc,unused_contbr_id,contributor_prefix,contributor_name,recipient_committee_type,recipient_committee_org_type,recipient_committee_designation,contributor_first_name,contributor_middle_name,contributor_last_name,contributor_suffix,contributor_street_1,contributor_street_2,contributor_city,contributor_state,contributor_zip,contributor_employer,contributor_occupation,contributor_id,receipt_type,receipt_type_desc,receipt_type_full,memo_code,memo_code_full,contribution_receipt_date,contribution_receipt_amount,contributor_aggregate_ytd,candidate_id,candidate_name,candidate_first_name,candidate_last_name,candidate_middle_name,candidate_prefix,candidate_suffix,candidate_office,candidate_office_full,candidate_office_state,candidate_office_state_full,candidate_office_district,conduit_committee_id,conduit_committee_name,conduit_committee_street1,conduit_committee_street2,conduit_committee_city,conduit_committee_state,conduit_committee_zip,donor_committee_name,national_committee_nonfederal_account,election_type,election_type_full,fec_election_type_desc,fec_election_year,amendment_indicator,amendment_indicator_desc,schedule_type_full,load_date,original_sub_id,back_reference_transaction_id,back_reference_schedule_name,filing_form,link_id,is_individual,memo_text,two_year_transaction_period,schedule_type,increased_limit,sub_id,pdf_url,line_number_label
C00768689,MIKE FRANCE CT2,2022,12P,202207289525068881,11AI,A38D751F55D014A8C89D,1620060,,IND,INDIVIDUAL,,MR.,"POLAND, JOSEPH A MR. III",H,"",P,JOSEPH,A,POLAND,III,PO BOX 330,,ANDOVER,CT,062320330,RETIRED,RETIRED CHEMIST,,15,CONTRIBUTION,,,,2022-07-14 00:00:00,75.00,350.00,,,,,,,,,,,,,,,,,,,,,,P2022,,PRIMARY,2022,A,ADD,ITEMIZED RECEIPTS,2022-08-04 04:01:01.053,,,,F3,4072820221552973017,t,,2022,SA,,4080320221554019335,https://docquery.fec.gov/cgi-bin/fecimg/?202207289525068881,Contributions From Individuals/Persons Other Than Political Committees
C00003418,REPUBLICAN NATIONAL COMMITTEE,2021,M2,202102209428745218,12,SA.106772168.1.TM37,1501588,,IND,INDIVIDUAL,,,"HOULE, CHRIS",Y,,U,CHRIS,,HOULE,,220 BUNKER HILL RD,,ANDOVER,CT,062321337,RETIRED,RETIRED,,15J,MEMO (FILER'S % OF CONTRIBUTION GIVEN TO JOIN,TRANSFER,X,,2020-12-07 00:00:00,7.50,453.38,,,,,,,,,,,,,,,,,,,,,,P,,PRIMARY,,A,ADD,ITEMIZED RECEIPTS,2021-03-06 04:21:12.081,,SA12.107453576,SA12,F3X,4022120211161293148,t,2020 AGGREGATE; TRANSFER FROM TRUMP MAKE AMERICA GREAT AGAIN COMMITTEE,2022,SA,,4030620211226484520,https://docquery.fec.gov/cgi-bin/fecimg/?202102209428745218,Transfers from Authorized Committees
C00608398,JOHN KENNEDY FOR US,2022,30G,202303179579311769,11AI,A5C12D070BCC6427F95D,1693615,,IND,INDIVIDUAL,,,"ZUJEWSKI, VINCENT",S,,P,VINCENT,,ZUJEWSKI,,28 HEBRON RD,,ANDOVER,CT,062321310,RETIRED,RETIRED,,15E,EARMARKED CONTRIBUTION,EARMARKED (NON-DIRECTED) THROUGH WINRED,,,2022-10-21 00:00:00,5.00,215.00,,,,,,,,,,,,,,,,,,,,,,G2022,,GENERAL,2022,A,ADD,ITEMIZED RECEIPTS,2023-03-19 04:05:52,,,,F3,4031720231735077007,t,,2022,SA,,4031820231736198304,https://docquery.fec.gov/cgi-bin/fecimg/?202303179579311769,Contributions From Individuals/Persons Other Than Political Committees
C00401224,ACTBLUE,2021,30R,202102049425446762,11AI,SA11AI_367944582,1498693,,IND,INDIVIDUAL,,,"DOPPES, BARBARA",V,,U,BARBARA,,DOPPES,,41 KINGSLEY DRIVE APT B4,,ANDOVER,CT,06232,NOT EMPLOYED,NOT EMPLOYED,,,,EARMARK,,,2021-01-05 00:00:00,12.50,12.50,,,,,,,,,,,,,,,,,,,,,,,,,,A,ADD,ITEMIZED RECEIPTS,2021-03-16 04:07:39.722,,,,F3X,4020920211123477024,t,EARMARKED FOR JON OSSOFF FOR SENATE (C00718866),2022,SA,,4031520211256834499,https://docquery.fec.gov/cgi-bin/fecimg/?202102049425446762,Contributions From Individuals/Persons Other Than Political Committees
C00401224,ACTBLUE,2021,30R,202102049425446762,11AI,SA11AI_367944581,1498693,,IND,INDIVIDUAL,,,"DOPPES, BARBARA",V,,U,BARBARA,,DOPPES,,41 KINGSLEY DRIVE APT B4,,ANDOVER,CT,06232,NOT EMPLOYED,NOT EMPLOYED,,,,EARMARK,,,2021-01-05 00:00:00,12.50,12.50,,,,,,,,,,,,,,,,,,,,,,,,,,A,ADD,ITEMIZED RECEIPTS,2021-03-16 04:07:39.722,,,,F3X,4020920211123477024,t,EARMARKED FOR CATHERINE CORTEZ MASTO FOR SENATE (C00575548),2022,SA,,4031520211256834500,https://docquery.fec.gov/cgi-bin/fecimg/?202102049425446762,Contributions From Individuals/Persons Other Than Political Committees
C00401224,ACTBLUE,2021,30R,202102049425446762,11AI,SA11AI_368734936,1498693,,IND,INDIVIDUAL,,,"DOPPES, BARBARA",V,,U,BARBARA,,DOPPES,,1339 TOLLAND TURNPIKE,,ANDOVER,CT,06232,RANDSTAD USA,WAREHOUSE ASSOCIATE,,,,EARMARK,,,2021-01-09 00:00:00,10.00,10.00,,,,,,,,,,,,,,,,,,,,,,,,,,A,ADD,ITEMIZED RECEIPTS,2021-03-16 04:07:39.722,,,,F3X,4020920211123477024,t,EARMARKED FOR SCHIFF FOR CONGRESS (C00343871),2022,SA,,4031520211256834501,https://docquery.fec.gov/cgi-bin/fecimg/?202102049425446762,Contributions From Individuals/Persons Other Than Political Committees
C00768689,MIKE FRANCE CT2,2022,Q1,202204159496611011,11AI,AD944A214F9B84511A72,1585526,,IND,INDIVIDUAL,,MR,"POLAND, JOSEPH A MR III",H,"",P,JOSEPH,A,POLAND,III,PO BOX 330,,ANDOVER,CT,062320330,RETIRED,RETIRED,,15,CONTRIBUTION,,,,2022-02-01 00:00:00,50.00,225.00,,,,,,,,,,,,,,,,,,,,,,C2022,CONVENTION,CONVENTION,2022,A,ADD,ITEMIZED RECEIPTS,2022-05-10 03:48:21.855,,,,F3,4041520221470810927,t,,2022,SA,,4050920221475191997,https://docquery.fec.gov/cgi-bin/fecimg/?202204159496611011,Contributions From Individuals/Persons Other Than Political Committees
C00768689,MIKE FRANCE CT2,2022,12C,202204239502465911,11AI,AC621217F4DDF4164B7D,1590182,,IND,INDIVIDUAL,,MR,"POLAND, JOSEPH A MR III",H,"",P,JOSEPH,A,POLAND,III,PO BOX 330,,ANDOVER,CT,062320330,RETIRED,RETIRED,,15,CONTRIBUTION,,,,2022-04-13 00:00:00,50.00,275.00,,,,,,,,,,,,,,,,,,,,,,P2022,CONVENTION,PRIMARY,2022,A,ADD,ITEMIZED RECEIPTS,2022-05-13 04:31:23.585,,,,F3,4042420221471546000,t,,2022,SA,,4051220221481100816,https://docquery.fec.gov/cgi-bin/fecimg/?202204239502465911,Contributions From Individuals/Persons Other Than Political Committees
C00401224,ACTBLUE,2021,30R,202102049425925883,11AI,SA11AI_370878722,1498693,,IND,INDIVIDUAL,,,"PIERPONT, JEFFREY",V,,U,JEFFREY,,PIERPONT,,618 ROUTE 6,,ANDOVER,CT,06232,UPS,DRIVER,,,,EARMARK,,,2021-01-20 00:00:00,5.00,5.00,,,,,,,,,,,,,,,,,,,,,,,,,,A,ADD,ITEMIZED RECEIPTS,2021-03-16 04:29:09.259,,,,F3X,4020920211123477024,t,EARMARKED FOR THE ACTION PAC - UNLIMITED (C00712109),2022,SA,,4031520211259492864,https://docquery.fec.gov/cgi-bin/fecimg/?202102049425925883,Contributions From Individuals/Persons Other Than Political Committees
C00401224,ACTBLUE,2021,30R,202102049425271656,11AI,SA11AI_371436191,1498693,,IND,INDIVIDUAL,,,"BAZZANI, JANICE",V,,U,JANICE,,BAZZANI,,322 LAKE RD,,ANDOVER,CT,06232,"TOWN OF ANDOVER, CT",P/T LIBRARY CLERK,,,,EARMARK,,,2021-01-23 00:00:00,3.00,3.00,,,,,,,,,,,,,,,,,,,,,,,,,,A,ADD,ITEMIZED RECEIPTS,2021-03-16 04:08:28.643,,,,F3X,4020920211123477024,t,EARMARKED FOR GIFFORDS PAC (C00540443),2022,SA,,4031520211256052181,https://docquery.fec.gov/cgi-bin/fecimg/?202102049425271656,Contributions From Individuals/Persons Other Than Political Committees`

readFile(filename, 'utf8')
  .then(r => r.toString())
// Promise.resolve(csv)
  .then(csv => csv2json(csv, {parseNumbers: true}))
  .then(console.log)
  .then(console.warn)

  // csv()
//   .fromFile(filename)
//   .then(o => console.log(JSON.stringify(o, null, 2)))
//   .catch(console.warn)