"use strict";

var setFunctionNameAndLength = require("./_setFunctionNameAndLength");

var promisify = function promisify(fn, context) {
  return setFunctionNameAndLength(function () {
    var _this = this;

    var length = arguments.length;
    var args = new Array(length + 1);

    for (var i = 0; i < length; ++i) {
      args[i] = arguments[i];
    }

    return new Promise(function (resolve, reject) {
      args[length] = function (error, result) {
        return error != null ? reject(error) : resolve(result);
      };

      fn.apply(context === undefined ? _this : context, args);
    });
  }, fn.name, fn.length - 1);
};

module.exports = promisify;